## ros-indigo-realsense-camera 1.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(realsense_camera)

# Save the command line compile commands in the build output
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
# View the makefile commands during build
#set(CMAKE_VERBOSE_MAKEFILE on)

# Set compile flags
set(CMAKE_CXX_FLAGS "-fPIE -fPIC -std=c++11 -O2 -D_FORTIFY_SOURCE=2 -fstack-protector -Wformat -Wformat-security -Wall ${CMAKE_CXX_FLAGS}")
# Flags executables
set(CMAKE_EXE_LINKER_FLAGS "-pie -z noexecstack -z relro -z now")
# Flags shared libraries
set(CMAKE_SHARED_LINKER_FLAGS "-z noexecstack -z relro -z now ${CMAKE_SHARED_LINKER_FLAGS}")

option(USE_SYSTEM_LIBREALSENSE "Build realsense_camera against system librealsense, not the one built with catkin" OFF)

set(REALSENSE_CATKIN_BASED_DEPS
  dynamic_reconfigure
  roscpp
  nodelet
  cv_bridge
  image_transport
  camera_info_manager
  tf
  message_generation
  std_msgs
  sensor_msgs
  pcl_ros
)

if(USE_SYSTEM_LIBREALSENSE)
  find_package(realsense REQUIRED)
else()
  list(APPEND REALSENSE_CATKIN_BASED_DEPS librealsense)
endif()

find_package(catkin REQUIRED COMPONENTS
  ${REALSENSE_CATKIN_BASED_DEPS}
)

add_message_files(
  FILES
  IMUInfo.msg
)

add_service_files(
  FILES
  CameraConfiguration.srv
  ForcePower.srv
  SetPower.srv
  IsPowered.srv
  GetIMUInfo.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

#add dynamic reconfigure api
generate_dynamic_reconfigure_options(
  cfg/r200_params.cfg
  cfg/f200_params.cfg
  cfg/sr300_params.cfg
  cfg/zr300_params.cfg
)

#################################
# catkin specific configuration #
#################################
# The catkin_package macro generates cmake config files for your package
# Declare things to be passed to dependent projects
# INCLUDE_DIRS: uncomment this if you package contains header files
# LIBRARIES: libraries you create in this project that dependent projects also need
# CATKIN_DEPENDS: catkin_packages dependent projects also need
# DEPENDS: system dependencies of this project that dependent projects also need
if(USE_SYSTEM_LIBREALSENSE)
  catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS std_msgs message_runtime sensor_msgs
    DEPENDS realsense
    LIBRARIES ${PROJECT_NAME}_nodelet
  )
else()
  catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS std_msgs message_runtime sensor_msgs librealsense
    LIBRARIES ${PROJECT_NAME}_nodelet
  )
endif()

# Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}_nodelet src/base_nodelet.cpp src/sync_nodelet.cpp src/r200_nodelet.cpp src/f200_nodelet.cpp src/sr300_nodelet.cpp
  src/zr300_nodelet.cpp)
target_link_libraries(${PROJECT_NAME}_nodelet
  ${catkin_LIBRARIES}
)
if(USE_SYSTEM_LIBREALSENSE)
  target_link_libraries(${PROJECT_NAME}_nodelet
    ${realsense_LIBRARY}
    )
endif()

add_dependencies(${PROJECT_NAME}_nodelet ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg)
add_dependencies(${PROJECT_NAME}_nodelet ${catkin_EXPORTED_TARGETS})

add_executable(get_debug_info src/get_debug_info.cpp)
target_link_libraries(get_debug_info ${catkin_LIBRARIES})
if(USE_SYSTEM_LIBREALSENSE)
  target_link_libraries(get_debug_info PRIVATE realsense::realsense)
endif()

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslint REQUIRED)

  # ROS Lint the code
  roslint_cpp()
  roslint_python()
  roslint_add_test()

  add_executable(tests_camera_core test/camera_core.cpp)
  target_link_libraries(tests_camera_core
    ${catkin_LIBRARIES}
    ${GTEST_LIBRARIES}
    )
  add_dependencies(tests_camera_core ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg)
  add_dependencies(tests_camera_core ${catkin_EXPORTED_TARGETS})

  add_executable(tests_rgbd_topics test/rgbd_topics.cpp)
  target_link_libraries(tests_rgbd_topics
    ${catkin_LIBRARIES}
    ${GTEST_LIBRARIES}
    )
  add_dependencies(tests_rgbd_topics ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(tests_rgbd_topics ${catkin_EXPORTED_TARGETS})
endif()

# Install nodelet library
install(TARGETS ${PROJECT_NAME}_nodelet get_debug_info
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

# Install rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

# Install xml files
install(FILES nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-realsense-camera (1.8.1-1trusty) trusty; urgency=high

  * Added missing ZR300 launch file arguments (#259)
  * Fixed ZR300 launch file typo (#244)
  * Added LR200 support (#245)
  * Added RGDB launch file for the ZR300
  * Updated code to cache ZR300 IMU data (#186)
  * Contributors: Benjamin Maidel, Dinesh Bolkensteyn, Itay Carpis, Junya Hayashi, Matt Curfman, Murilo Belluzzo, Reagan Lopez, Sergey Dorodnicov

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Tue, 19 Dec 2017 22:00:00 -0000

ros-indigo-realsense-camera (1.8.0-1trusty) trusty; urgency=high

  * Enable configuration of the TF publication rate when using tf_dynamic
  * Enable roslint when CATKIN_ENABLE_TESTING is True
  * Add option to link against non-catkin librealsense
  * Fixed LR auto exposure (#131)
  * Dynamic reconfig autoexposure/exposure control SR300/F200/R200 (#213)
  * Added check for depth_enable dynamic change
  * Update Debug Tool
  * Added SyncNodelet class as new base for F200/SR300/R200 (#207, #210)
  * Contributors: Amanda Brindle, Dmitry Rozhkov, James Sergeant, Mark Horn, Matthew Hansen, Reagan Lopez, Séverin Lemaignan

 -- Matt Curfman <matthew.c.curfman@intel.com>  Sun, 26 Mar 2017 21:00:00 -0000

ros-indigo-realsense-camera (1.7.2-1trusty) trusty; urgency=high

  * Create tool to get debug info
  * Change tf to using setRPY for consistency
  * Changed fisheye_strobe and fisheye_external_trigger to static params
  * Contributors: Amanda Brindle, Mark Horn, Matthew Hansen, Wang Jinliang

 -- Matt Curfman <matthew.c.curfman@intel.com>  Tue, 28 Feb 2017 22:00:00 -0000

ros-indigo-realsense-camera (1.7.1-1trusty) trusty; urgency=high

  * Generate Warning for non-validated camera firmware
  * Use shared timestamp for SR300/F200 cameras
  * Added retry in tests to avoid random failures
  * Contributors: Amanda Brindle, Mark D Horn, Ning Wang

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Fri, 13 Jan 2017 22:00:00 -0000

ros-indigo-realsense-camera (1.7.0-1trusty) trusty; urgency=high

  * Enable ROS Lint
  * Update RGBD launch files
  * Add Dynamic Transforms support -- multi-cam (#120)
  * Change color stream default to 30fps
  * Major code refactor to use librealsense callbacks
  * Added imu_start_ts for imu sync
  * Make system wrapper function generic
  * Don't ignore linker flags set by user (Yocto fix)
  * Changed nodelet to use camera timestamps
  * Migrate README.md content to ROS wiki
  * Contributors: Dmitry Rozhkov, Mark D Horn, Matt Hansen

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Mon, 19 Dec 2016 22:00:00 -0000

ros-indigo-realsense-camera (1.6.1-1trusty) trusty; urgency=high

  * Clean up system process calls
  * Display warning for hardcoded extrinsic
  * Added exception handling
  * Improve error messages
  * Prevent double freeing of error data
  * Added enable_ir args to modify_params tests for R200,SR300,F200
  * Added enable IR and IR2 flags to rgbd launch file
  * Added RVIZ file for viewing RGBD pointcloud
  * Added realsense_default rviz file
  * Added ability to enable IR2 stream for ZR300
  * Added ability to enable IR streams independent of depth
  * Make building ROS unit tests optional
  * Add ROS Issue Tracking to ROS Wiki
  * Contributors: Dmitry Rozhkov, Mark D Horn, Matt Hansen

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Thu, 17 Nov 2016 22:00:00 -0000

ros-indigo-realsense-camera (1.6.0-1trusty) trusty; urgency=high

  * Set DC defaults based on the configured preset (#132)
  * Added initial support for ZR300 camera
  * Contributors: Mark Horn, Reagan Lopez

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Wed, 26 Oct 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.5.0-1trusty) trusty; urgency=high

  * Remove obsolete realsense_navigation files.
  * Add depth control preset option (#106)
  * Modify launch files for topic remapping.
  * Use node handles to enable easier remapping
  * Remove invalid SR300 Camera option
  * Added multiple cameras support for camera power services
  * Added services to start and stop the camera (#85)
  * Added a RGBD launch file for SR300
  * Clean-up CMakeLists.txt for librealsense
  * Contributors: Amber Elliot, Kevin C Wells, Mark D Horn, Séverin Lemaignan, Tully Foote, Rajvi Jingar

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Wed, 21 Sep 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.4.0-1trusty) trusty; urgency=high

  * Updated Install Instructions for ROS Packages
  * Added Errata for F200/SR300 Camera Types
  * Make librealsense pkg required
  * Added code to read depth scale from camera (intel-ros/realsense#46)
  * Fix SR300 Max Z + Type casting
  * Updated default values for SR300 camera options
  * Updated documentation with SR300 camera details
  * Updated tests to include SR300 distortion parameters
  * Added fix to remove blurriness from SR300 IR stream
  * Added initial support for SR300 cameras (#6)
  * Change to Static Transforms for camera (#84)
  * Contributors: Mark D Horn, Reagan Lopez, Salah-Eddine Missri, Lincoln Lorenz

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Thu, 18 Aug 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.3.0-1trusty) trusty; urgency=high

  * Fix the Install for Includes
  * Move header files
  * Updated README for F200 cameras
  * Added initial support for F200 cameras
  * Refactored code for new cameras
  * Contributors: Mark D Horn, Reagan Lopez, Yuki Furuta

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Wed, 27 Jul 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.2.1-1trusty) trusty; urgency=high

  * Fix starting /camera/get_settings Service
  * Correct ROS Dependencies Install command

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Tue, 12 Jul 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.2.0-1trusty) trusty; urgency=high

  * Update for ROS librealsense Package Release
  * Added navigation package changes related to camera package refactor
  * Updated artifacts to disable native pointcloud by default
  * Refactored R200 code into derived class
  * Added polling for camera


=== debian/control ===
Source: ros-indigo-realsense-camera
Section: misc
Priority: extra
Maintainer: Sergey Dorodnicov <sergey.dorodnicov@intel.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-librealsense (>= 1.12.1), ros-indigo-message-generation, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-indigo-realsense-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-camera-info-manager, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-librealsense, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-rgbd-launch, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: RealSense Camera package allowing access to Intel 3D cameras and advanced modules

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-realsense-camera//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
